package context

import (
	"gorm.io/gorm"
    "reichard.io/imagini/internal/query"
    "reichard.io/imagini/internal/config"
)

type ImaginiContext struct {
    DB      *gorm.DB
    Config  *config.Config
}

func NewImaginiContext() *ImaginiContext {
    c := config.NewConfig()
    db := query.NewDB(c)
    return &ImaginiContext{
        DB: db,
        Config: c,
    }
}
